package Klausur;
import java.util.*;

public class Algorthmen {
	public static void main(String[] args) {
        	
		int[] arr = {1,2,3,4,5,6,7,8};
		
		
		
    }
	
	public static Map<Boolean,List<Integer>> oddNumbers(int[] arr){
		
		Map<Boolean,List<Integer>> gerade = new HashMap<>();
		Map<Boolean,List<Integer>> ungerade = new HashMap<>();
		
		gerade.put(true, new ArrayList<>());
		ungerade.put(false, new ArrayList<>());
		
		for (int i = 0; i < arr.length; i++ ) {
			if (arr[i] %2 == 0 ) 
				gerade.get(true).add(arr[i]);
			
			else
				ungerade.get(false).add(arr[i]);
		}
		
		
		return null;
		
		
	}

    
}
